@charset "UTF-8";

.page-home {
    --un-bg-opacity: 1;
    background-color: rgb(242 239 231 / var(--un-bg-opacity));
}

@media (max-width: 767.9px) {
    .page-home {
        --un-bg-opacity: 1;
        background-color: rgb(207 180 166 / var(--un-bg-opacity));
    }
}

.carousel,
.carousel .swiper-container {
    height: 100%;
}

/* slide 背景 */
.carousel__slide {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

/* slide 视频 */
.carousel__slide--video .carousel__video {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.carousel__video--controls {
    position: absolute;
    left: 5%;
    bottom: 12%;
    z-index: 2;
    display: flex;
    align-items: center;
    font-size: 0;
    color: #fff;
}

.carousel__video--controls .controls,
.carousel__video--controls .muted {
    position: relative;
    width: 1em;
    height: 1em;
    cursor: pointer;
    font-size: 0.24rem;
}

@media (max-width: 767.9px) {
    .carousel__video--controls .controls,
    .carousel__video--controls .muted {
        font-size: 20px;
    }
}

.carousel__video--controls .muted {
    margin-left: 1em;
}

.carousel__video--controls i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: inherit;
}

.controls--on {
    opacity: 1;
}

.controls--off {
    opacity: 0;
}

.muted--on {
    opacity: 1;
}

.muted--off {
    opacity: 0;
}

.carousel__video--controls .controls.is-play .controls--on {
    opacity: 0;
}

.carousel__video--controls .controls.is-play .controls--off {
    opacity: 1;
}

.carousel__video--controls .muted.is-muted .muted--on {
    opacity: 0;
}

.carousel__video--controls .muted.is-muted .muted--off {
    opacity: 1;
}

/* 标题：英文 */
.carousel__title[lang="en"] {
    display: flex;
    align-items: center;
    text-align: center;
    font-size: var(--font-en-display);
    line-height: 1;
    font-weight: 500;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    font-family:
        Zalando Sans SemiExpanded,
        sans-serif;
    letter-spacing: 0.07em;
}

/* 标题：中文 */
.carousel__title[lang|="zh"] {
    margin-top: 1em;
    font-size: var(--font-zh-display);
    line-height: 1.32;
    font-weight: 400;
    letter-spacing: 0.07em;
    font-family: FZLTHProJ-Medium, sans-serif;
    letter-spacing: 0.07em;
}

.carousel__title .cha {
    display: block;
    padding-left: 0.8em;
    padding-right: 0.8em;
    font-size: 0.2rem;
}

/* 副标题：中文 */
.carousel__subtitle[lang|="zh"] {
    margin-top: 2.1em;
    text-align: center;
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-family: FZLTHProJ-Regular, sans-serif;
    letter-spacing: 0.11em;
}

/* 文本主题 */
.carousel__title[theme="white"],
.carousel__subtitle[theme="white"] {
    color: var(--color-text-inverse);
}

.carousel__title[theme="black"],
.carousel__subtitle[theme="black"] {
    color: var(--color-text-primary);
}

/* 指示器 */
.carousel__pagination {
    position: absolute;
    bottom: 12% !important;
    z-index: 10;
    display: flex;
    align-items: center;
    justify-content: center;
}

.carousel__pagination .swiper-pagination-bullet {
    margin-left: 0 !important;
    margin-right: 0 !important;
    height: 2px;
    width: 0.2rem;
    border-radius: 0;
    --un-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--un-bg-opacity));
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}

.carousel__pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 0.46rem;
    margin: 0 !important;
}

/* 左右导航 */
.carousel__next,
.carousel__prev {
    position: absolute;
    top: 50%;
    z-index: 10;
    width: 1rem;
    height: 1rem;
    align-items: center;
    justify-content: center;
    border-radius: 99.99rem;
    background-color: rgb(0 0 0 / 0.6);
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    /* transition-all */
    /* -translate-y-[50%] */
    display: flex !important;
    pointer-events: none;
}

.carousel__next {
    right: -15%;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
}
.carousel__prev {
    left: -15%;
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
}

.carousel__next.is-active,
.carousel__prev.is-active {
    pointer-events: auto;
}

.carousel__next.swiper-button-disabled,
.carousel__prev.swiper-button-disabled {
    display: none !important;
    opacity: 0.35;
    cursor: auto;
    pointer-events: none;
}

/* .carousel__next:hover,
.carousel__prev:hover {
    background: #fff;
    color: #000;
} */

.carousel__next::before,
.carousel__prev::before {
    font-size: 0.2rem;
    line-height: 1;
    font-family: "iconfont" !important;
}

.carousel__next::before {
    content: "\e60c";
}

.carousel__prev::before {
    content: "\e609";
}

.swiper-cursor {
    position: absolute;
    z-index: 10;
    width: 1rem;
    height: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 99.99rem;
    background-color: rgb(0 0 0 / 0.6);
    --un-text-opacity: 1;
    color: rgb(255 255 255 / var(--un-text-opacity));
    left: 0;
    top: 0;
    opacity: 0;
    pointer-events: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    will-change: transform, opacity;
}

.swiper-cursor i {
    transition: transform 0.3s ease;
}

.swiper-cursor.is-next i {
    transform: scaleX(-1);
}

.button {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-family: FZLTHProJ-Regular, sans-serif;
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    transition-duration: 700ms;
    min-width: 1.86rem;
    height: 0.56rem;
    margin-top: 0.36rem;
    border-radius: 4px;
    font-size: 0.18rem;
    letter-spacing: 3px;
    transition: all 0.3s ease;
}

.button--primary {
    border: 1px solid var(--color-bg-inverse);
    background: var(--color-bg-inverse);
    color: var(--color-text-inverse);
}

.button--primary:hover {
    border-color: var(--color-bg-inverse);
    background: var(--color-text-inverse);
    color: var(--color-bg-inverse);
}

.button--outline {
    border: 1px solid rgba(255, 255, 255, 0.6);
    color: var(--color-text-inverse);
}

.button--outline[theme="black"] {
    border-color: var(--color-bg-inverse);
    color: var(--color-bg-inverse);
}

.button--outline:hover {
    border-color: var(--color-bg-inverse);
    background: var(--color-bg-inverse);
    color: var(--color-text-inverse);
}

.home-hero,
.home-kitchen,
.home-images,
.home-chasing-unknown,
.home-customized,
.home-design,
.home-master-collab,
.home-explore {
    height: 10.8rem;
    overflow: hidden;
}

.home-kitchen,
.home-customized,
.home-explore {
    display: flex;
}

@media (max-width: 767.9px) {
    .home-kitchen,
    .home-customized,
    .home-explore {
        height: 100vh;
        flex-direction: column;
    }
}

.home-customized {
}

@media (max-width: 767.9px) {
    .home-customized {
        flex-direction: column-reverse;
    }
}

.home-images--kitchen,
.home-images--customized {
}

@media (max-width: 767.9px) {
    .home-images--kitchen,
    .home-images--customized {
        display: none;
    }
}

.home-kitchen .carousel--kitchen,
.home-customized .carousel--customized,
.home-explore .carousel--explore {
    width: 50%;
}

@media (max-width: 767.9px) {
    .home-kitchen .carousel--kitchen,
    .home-customized .carousel--customized,
    .home-explore .carousel--explore {
        width: 100%;
    }
}

.home-images .image {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

/* 首页：内容面板（模块私有） */
.carousel__content--kitchen,
.carousel__content--customized,
.carousel__content--explore {
    width: 50%;
}
@media (max-width: 767.9px) {
    .carousel__content--kitchen,
    .carousel__content--customized,
    .carousel__content--explore {
        width: 100%;
    }
}

.carousel__content--kitchen {
    background: #a8b7c8;
}

.carousel__content--customized {
    background: #dacdc3;
}

.carousel__content--explore {
    background: #cfb4a6;
}

/* hero/kitchen/images/customized/chasing/master 共用居中  */
.carousel__content--hero,
.carousel__content--kitchen,
.carousel__content--images,
.carousel__content--customized,
.carousel__content--chasing,
.carousel__content--master {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.carousel__content--hero,
.carousel__content--chasing,
.carousel__content--master {
    position: absolute;
    top: 50%;
    left: 50%;
    height: auto;
    --un-translate-x: -50%;
    --un-translate-y: -50%;
    transform: translateX(var(--un-translate-x)) translateY(var(--un-translate-y)) translateZ(var(--un-translate-z))
        rotate(var(--un-rotate)) rotateX(var(--un-rotate-x)) rotateY(var(--un-rotate-y)) rotateZ(var(--un-rotate-z))
        skewX(var(--un-skew-x)) skewY(var(--un-skew-y)) scaleX(var(--un-scale-x)) scaleY(var(--un-scale-y))
        scaleZ(var(--un-scale-z));
}

.carousel__content--chasing .carousel__subtitle {
    text-align: center;
}

/* 首页：design 模块 */
.home-design {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-color: #fff;
}

.home-design .button {
    margin-top: 1.38rem;
}

.design-stats {
    margin-top: 1.46rem;
    width: 100%;
    display: flex;
    align-items: center;
}

.design-stats .design-stats__item {
    display: flex;
    flex: 1 1 0%;
    flex-direction: column;
    align-items: center;
}

.design-stats .design-stats__item .design-stats__value {
    font-size: var(--font-en-display);
    line-height: 1;
    font-weight: 500;
    letter-spacing: 0.03em;
    text-transform: uppercase;
    font-family:
        Zalando Sans SemiExpanded,
        sans-serif;
    color: var(--color-text-primary);
}

.design-stats .design-stats__item .design-stats__label {
    margin-top: 0.26rem;
    font-size: var(--font-en-text);
    line-height: 1;
    font-weight: 400;
    letter-spacing: 0.03em;
    font-family:
        Zalando Sans SemiExpanded,
        sans-serif;
    color: var(--color-text-primary);
    letter-spacing: 0.09em;
}

/* 首页：explore 模块细节 */
.home-explore {
}
@media (max-width: 767.9px) {
    .home-explore {
        height: auto;
    }
}

.home-explore .carousel__content--explore {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-left: 2.8rem;
    padding-right: 2.8rem;
}

@media (max-width: 767.9px) {
    .home-explore .carousel__content--explore {
        padding-left: 0.4rem;
        padding-right: 0.4rem;
        padding-top: 1.2rem;
        padding-bottom: 1.2rem;
    }
}

.home-explore .carousel__content--explore .carousel__title[lang="en"] {
    text-align: left;
}

.home-explore .carousel__content--explore ul {
    margin-top: 0.72rem;
    display: flex;
    flex-direction: column;
}

.home-explore .carousel__content--explore ul li {
    font-size: var(--font-zh-text);
    line-height: 1.6494;
    font-weight: 300;
    letter-spacing: 0.11em;
    font-family: FZLTHProJ-Regular, sans-serif;
}

@media (max-width: 767.9px) {
    .home-explore .carousel__content--explore ul li {
        font-size: 0.24rem;
    }
}

.home-explore .carousel__content--explore ul li + li {
    margin-top: 0.36rem;
}

.home-explore .carousel__content--explore ul li a {
    display: inline-flex;
    align-items: center;
    color: var(--color-bg-inverse);
    letter-spacing: 0.05em;
}

.home-explore .carousel__content--explore ul li a {
    position: relative;
    display: flex;
    align-items: center;
    line-height: 1;
}

.home-explore .carousel__content--explore ul li a i {
    transition-property: all;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
    opacity: 0;
}

.home-explore .carousel__content--explore ul li a:hover i {
    margin-left: 0.5em;
    opacity: 1;
}

.home-explore .carousel--explore {
}

@media (max-width: 767.9px) {
    .home-explore .carousel--explore {
        display: none;
    }
}

.home-master-collab .carousel__video {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}
